jQuery(function() { 
	var top = jQuery('.case-study-sidebar').offset().top - parseFloat(jQuery('.case-study-sidebar').css('marginTop').replace(/auto/, 0));
	var footTop = jQuery('.become-a-reseller').offset().top - parseFloat(jQuery('.become-a-reseller').css('marginTop').replace(/auto/, 0));
	var maxY = footTop - jQuery('.case-study-sidebar').outerHeight();
	jQuery(window).scroll(function(evt) {
		var y = jQuery(this).scrollTop();
		if (y > top) {
			//Quand scroll, ajoute une classe ".fixed" et supprime le Css existant 
			if (y < maxY) {
				jQuery('.case-study-sidebar').addClass('fixed').removeAttr('style');
			} else { 
				//Quand la sidebar arrive au footer, supprime la classe "fixed" précèdement ajouté
				jQuery('.case-study-sidebar').removeClass('fixed').css({
					position: 'static',
					top: (maxY - top) + 'px'
				});
			}
		} else {
			jQuery('.case-study-sidebar').removeClass('fixed');
		}
	});  
});	